{% extends "customers/base.html" %}
{% load i18n %}
{% load md2 %}
{% load active_tag %}
{% load staticfiles %}
{% load widget_tweaks %}

{% block title %}Métodos de pago de Proveedor{% endblock %}

{% block page %}
{%if can_show_detail %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
	<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
  <li class="breadcrumb-item"><a href="{% url 'provider-list' %}">Proveedores</a></li>
  <li class="breadcrumb-item"> <a href="{% url 'provider-detail' pk=provider.pk  %}">{{ provider.rut }}</a></li>
  <li class="breadcrumb-item active">Métodos de Pago</li>
</ol>
<!-- end breadcrumb -->



<!-- begin page-header -->
<h1 class="page-header">Proveedor <small>{{ provider.name }}</small></h1>
<!-- end page-header -->

<ul class="nav nav-pills mb-2">
    <li class="nav-item {% add_active request 'provider-detail' %}">
        <a href="{% url 'provider-detail' provider.pk %}"class="nav-link">
          <span class="d-sm-none">General</span>
          <span class="d-sm-block d-none">General</span>
        </a>
      </li>
	<li class="nav-item {% add_active request  'provider-payment-methods' %}">
		<a href="#" class="nav-link active">
			<span class="d-sm-none">Métodos de pago</span>
			<span class="d-sm-block d-none">Métodos de pago</span>
		</a>
	</li>
		<li class="nav-item {% add_active request 'provider-statement' %}">
			<a href="{% url 'provider-statement' provider.pk %}" class="nav-link">
				<span class="d-sm-none">Estado de Cuenta</span>
				<span class="d-sm-block d-none">Estado de Cuenta</span>
			</a>
		</li>
	</ul>

	  
	<!-- begin row -->
	<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Métodos de Pago</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
					{% if perms.providers.change_provider %}
						<a class="btn btn-success btn-sm pull-right" href="{% url 'provider-payment-methods-add' provider.pk %}">Nuevo RUT pagador</a>
					{% endif %}

					<table class="table table-striped">
						<thead>
							<tr>
								<th>RUT Pagador</th>
								<th>Nombre</th>
								<th>Acciones</th>
							</tr>
						</thead>
						<tbody>
							{% for pr in payor_rut %}
								<tr>
									<td>{{ pr.rut }}</td>
									<td>{{ pr.name|default:"Sin nombre" }}</td>
									<td>
										{% if perms.providers.change_provider %}
											<form onclick="return confirm('¿Está seguro?');" action="{{ pr.pk }}/delete/" method="post">{% csrf_token %}
												<input type="submit" value="Eliminar" class="btn btn-danger btn-sm">
											</form>
										{% endif %}
									</td>
								</tr>
							{% endfor %}
						</tbody>
					</table>
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->
		</div>
		<!-- end col-12 -->
	</div>
	<!-- end row -->

	<!-- begin scroll to top btn -->
	<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
	<!-- end scroll to top btn -->
	{%else%}
	<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
		<h4 class="alert-heading">No encontrado</h4>
		<hr>
		<h5 class="mb-0">Cambie de operador o vuelva al listado de Proveedores.</h5>
	</div>
	{%endif%}
{% endblock %}


